/* GTK+ DirectFB Engine
 * Copyright (C) 2001 convergence integrated media GmbH
 * Copyright (C) 1998-2000 Red Hat, Inc.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Written by Sven Neumann <sven@convergence.de>, 
 * based on code by Owen Taylor <otaylor@redhat.com> 
 * and Carsten Haitzler <raster@rasterman.com>.
 */

#include <gtk/gtkrc.h>

typedef struct _DirectFBRcStyle      DirectFBRcStyle;
typedef struct _DirectFBRcStyleClass DirectFBRcStyleClass;

extern GType directfb_type_rc_style;

#define DIRECTFB_TYPE_RC_STYLE              directfb_type_rc_style
#define DIRECTFB_RC_STYLE(object)           (G_TYPE_CHECK_INSTANCE_CAST ((object), DIRECTFB_TYPE_RC_STYLE, DirectFBRcStyle))
#define DIRECTFB_RC_STYLE_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), DIRECTFB_TYPE_RC_STYLE, DirectFBRcStyleClass))
#define DIRECTFB_IS_RC_STYLE(object)        (G_TYPE_CHECK_INSTANCE_TYPE ((object), DIRECTFB_TYPE_RC_STYLE))
#define DIRECTFB_IS_RC_STYLE_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), DIRECTFB_TYPE_RC_STYLE))
#define DIRECTFB_RC_STYLE_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), DIRECTFB_TYPE_RC_STYLE, DirectFBRcStyleClass))

struct _DirectFBRcStyle
{
  GtkRcStyle  parent_instance;
  
  GList      *img_list;
};

struct _DirectFBRcStyleClass
{
  GtkRcStyleClass parent_class;
};

void directfb_rc_style_register_type (GTypeModule *module);
